messages.reportSponsoredMessage
Report a sponsored message », see here » for more info on the full flow.
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Report a sponsored message », see here » for more info on the full flow.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.reportSponsoredMessage" \ -H "Content-Type: application/json" \ -d '{ "params": { "randomId": "string", "option": "string" } }'{ "result": { "_": "channels.sponsoredMessageReportResultChooseOption", "title": "string", "options": [ { "_": "sponsoredMessageReportOption", "text": "string", "option": "string" } ] }}reportSpam
Report a new incoming chat for spam, if the `RawPeerSettings` of the chat allow us to do that
requestAppWebView
Open a [bot mini app](https://core.telegram.org/bots/webapps) from a [direct Mini App deep link](https://core.telegram.org/api/links#direct-mini-app-links), sending over user information after user confirmation. After calling this method, until the user closes the webview, `messages.RawProlongWebViewRequest` must be called every 60 seconds.